Summary: LSB X Window System Test Suite (VSW4)
Name: lsb-test-vsw4
Version: 3.1.0
Release: 2
License: MIT
Group: Development/Tools
Source: lsb-test-vsw4-3.1.0.tar.gz
URL: http://www.linuxbase.org/test
#Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root
AutoReqProv: no
Requires: lsb-tet3-lite
BuildRequires: lsb-tet3-lite-devel
%define	tet_root	%{_libdir}/tet

%description

This is a binary version of the LSB X Window System test suite. 
These tests are derived from the VSW4 XTest test suites.

#==================================================
%prep

LDSO_VERSION=3

%ifarch %{ix86}
LDSO=/lib/ld-lsb.so.$LDSO_VERSION
%endif
%ifarch ppc
LDSO=/lib/ld-lsb-ppc32.so.$LDSO_VERSION
%endif
%ifarch ppc64
LDSO=/lib64/ld-lsb-ppc64.so.$LDSO_VERSION
%endif
%ifarch s390
LDSO=/lib/ld-lsb-s390.so.$LDSO_VERSION
%endif
%ifarch s390x
LDSO=/lib64/ld-lsb-s390x.so.$LDSO_VERSION
%endif
%ifarch ia64
LDSO=/lib/ld-lsb-ia64.so.$LDSO_VERSION
%endif
%ifarch x86_64
LDSO=/lib64/ld-lsb-x86-64.so.$LDSO_VERSION
%endif

SPECFILE=`gcc -v 2>&1 | head -n 1 | cut -d " " -f 4`
LDSO_NOW=`grep $LDSO $SPECFILE`
	
if [ -z "$LDSO_NOW" ]
then
	echo "You have not set your build environment to link to $LDSO"
	echo "Please replace the -dynamic-linker setting with $LDSO in $SPECFILE file"
	exit 1
fi

if [ ! -f $LDSO ]
then
	echo "Cannot find $LDSO file on your system"
	echo "Please create a symbol link or install lsb-dummy package"
	exit 1
fi

set -x

%setup -q -c 

# %setup -D -b 1 -c
# %setup -D -b 2 -c
# %setup -D -b 3 -c


#==================================================
%build

cd lsb-vsw4
sed -e "s\\tcc -b -p$\\tcc -b -p -s link_scen xtest linkbuild\\" build.sh > build_spacesaving.sh
chmod +x build_spacesaving.sh

./build_spacesaving.sh

#==================================================
%install

rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/opt/lsb/test/vsw4
mkdir -p ${RPM_BUILD_ROOT}/opt/lsb/test/vsw4/xtest
mkdir -p ${RPM_BUILD_ROOT}/opt/lsb/test/vsw4/xtest/fonts
mkdir -p ${RPM_BUILD_ROOT}/opt/lsb/test/vsw4/xtest/results
mkdir -p ${RPM_BUILD_ROOT}/opt/lsb/doc/lsb-vsw4
mkdir -p ${RPM_BUILD_ROOT}/opt/lsb/doc/lsb-vsw4/xtest

for thing in xtest/bin xtest/tet_code xtest/link_scen xtest/tetexec.cfg; do
    if [ -d "lsb-vsw4/$thing" ]; then 
        cp -prf "lsb-vsw4/$thing" "${RPM_BUILD_ROOT}/opt/lsb/test/vsw4/$thing" 
    else
        cp -pf "lsb-vsw4/$thing" "${RPM_BUILD_ROOT}/opt/lsb/test/vsw4/$thing" 
    fi
done

for thing in README README.first License xtest/VSWrel4.1.1 xtest/doc xtest/xopen_doc; do
    if [ -d "lsb-vsw4/$thing" ]; then 
        cp -prf "lsb-vsw4/$thing" "${RPM_BUILD_ROOT}/opt/lsb/doc/lsb-vsw4/$thing" 
    else
        cp -pf "lsb-vsw4/$thing" "${RPM_BUILD_ROOT}/opt/lsb/doc/lsb-vsw4/$thing" 
    fi
done

cp -prf lsb-vsw4/xtest/fonts/xtfont*.pcf* ${RPM_BUILD_ROOT}/opt/lsb/test/vsw4/xtest/fonts
cp -prf lsb-vsw4/xtest/fonts/fonts.dir ${RPM_BUILD_ROOT}/opt/lsb/test/vsw4/xtest/fonts
sed -e "s\\tcc -p -e -v DISPLAY=\$TEST_DISPLAY$\\tcc -p -e -v DISPLAY=\$TEST_DISPLAY -s link_scen xtest linkexec\\" lsb-vsw4/run_vsw4.sh > ${RPM_BUILD_ROOT}/opt/lsb/test/vsw4/run_vsw4.sh
chmod +x ${RPM_BUILD_ROOT}/opt/lsb/test/vsw4/run_vsw4.sh

rsync -aH --exclude="*.[o|h|m|c]" --exclude="Makefile" --exclude="*asserts" --exclude="*.err" --exclude="tet*" lsb-vsw4/xtest/tset ${RPM_BUILD_ROOT}/opt/lsb/test/vsw4/xtest

#==================================================
%clean
# uncomment later. leave in now for speed
if [ -z "${RPM_BUILD_ROOT}"  -a "${RPM_BUILD_ROOT}" != "/" ]; then 
    rm -rf ${RPM_BUILD_ROOT}
fi


#======================================================================
%post

# create .Xdefaults and .Xdefaults-name for testing
cp -pf /opt/lsb/test/vsw4/xtest/tset/CH10/gtdflt/Xdefaults /opt/lsb/test/vsw4/xtest/tset/CH10/gtdflt/.Xdefaults
cp -pf /opt/lsb/test/vsw4/xtest/tset/CH10/gtdflt/HstXdefaults /opt/lsb/test/vsw4/xtest/tset/CH10/gtdflt/.Xdefaults-`hostname`
rm -f /opt/lsb/test/vsw4/.configured > /dev/null 2>&1

echo 
echo "Please make sure you have installed the necessary Xvfb package"
echo "(virtual frame buffer X server, whose name is something like"
echo "xvfb, XFree86-Xvfb or xorg-x11-Xvfb) and add the path which"
echo "includes the Xvfb executable binary to your PATH setting"
echo
echo To run the tests, please execute the following command:
echo "    cd /opt/lsb/test/vsw4; ./run_vsw4.sh"
echo 
echo You will need to run the tests as root, or chown all of the files,
echo to a user you want to run the tests as.
echo

#==================================================
%files
%defattr(-,root,root)
%config(noreplace) /opt/lsb/test/vsw4/xtest/tetexec.cfg

/opt/lsb/test/vsw4/xtest/bin
/opt/lsb/test/vsw4/xtest/fonts
/opt/lsb/test/vsw4/xtest/tset
/opt/lsb/test/vsw4/xtest/link_scen
/opt/lsb/test/vsw4/xtest/tet_code
/opt/lsb/test/vsw4/run_vsw4.sh
/opt/lsb/doc/lsb-vsw4

%dir /opt/lsb/test/vsw4/xtest/results

#==================================================
%changelog
* Tue Jan 18 2005 Marvin Heffler <heffler@us.ibm.com>
- change Version to 2.1.0 and Release to 1 for official release

* Tue Nov 30 2004 Hong Bo Peng <penghb@cn.ibm.com>
- repackage to reduce package size
- various bug fixes for VSW4
